
/*
 * adc.c: probe, user config, and user IO (switch and button) reading
 *
 * file creation: 20231016 0102
 */

#ifndef _INC_ADC_H
#define _INC_ADC_H


#include <stdint.h>



#define ADC_CHANNELS	5
#define ADC_HISTLEN		16



extern uint16_t adc_avg[ADC_CHANNELS];



void adc_init();
uint8_t adc_next();

void adc_switch0();



#endif /* _INC_ADC_H */